Bug 1297003 - No sound on skylake i5 6500
No sound on skylake i5 6500
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 12:06 EST by luigi votta
Modified: 2016-01-20 13:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 13:25:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description luigi votta 2016-01-08 12:06:17 EST
Description of problem:
The system (i5 6500 Skylake, Asus H-170 Pro) has no audio. 

Output of dmesg|grep snd:
[    2.474993] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[    2.592330] snd_hda_intel 0000:00:1f.3: CORB reset timeout#1, CORBRP = 0
[    2.593869] snd_hda_intel 0000:00:1f.3: no codecs found!

Output of lspci -v|grep -A7 -i "audio"
00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)
	Subsystem: ASUSTeK Computer Inc. Device 86c7
	Flags: bus master, fast devsel, latency 32, IRQ 126
	Memory at df120000 (64-bit, non-prefetchable) [size=16K]
	Memory at df100000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel


Output of lsmod|grep snd:
snd_hda_intel          36864  0
snd_hda_codec         126976  1 snd_hda_intel
snd_hda_core           61440  2 snd_hda_codec,snd_hda_intel
snd_hwdep              16384  1 snd_hda_codec
snd_seq                69632  0
snd_seq_device         16384  1 snd_seq
snd_pcm               114688  3 snd_hda_codec,snd_hda_intel,snd_hda_core
snd_timer              32768  2 snd_pcm,snd_seq
snd                    73728  7 snd_hwdep,snd_timer,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,snd_seq_device
soundcore              16384  1 snd

Version-Release number of selected component (if applicable):
4.3.3-300.fc23.x86_64

Greetings
Luigi Votta
Comment 1 kapsh 2016-01-16 06:16:12 EST
This is upstream problem I think. 

I have i5-6600 at Asus H110-C. lspci shows this: 

00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)
	Subsystem: ASUSTeK Computer Inc. Sunrise Point-H HD Audio
	Flags: bus master, fast devsel, latency 32, IRQ 124
	Memory at f7120000 (64-bit, non-prefetchable) [size=16K]
	Memory at f7100000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [50] Power Management version 3
	Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel

Error in dmesg is slightly different: 

[    1.146732] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops 0xffffffff818835f0)
[    1.260249] snd_hda_intel 0000:00:1f.3: CORB reset timeout#1, CORBRP = 0
[    1.261840] snd_hda_intel 0000:00:1f.3: no codecs found!

The problem occured after suspend (with pm-suspend). Everything worked ok before this, but now I can't get sound even after reboot to other Linux.
Comment 2 luigi votta 2016-01-18 11:54:13 EST
With kernel 4.3.3-301.fc23.x86_64, dmesg|grep snd:

[    4.056229] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[    7.082512] snd_hda_intel 0000:00:1f.3: azx_get_response timeout, switching to polling mode: last cmd=0x000f0000
[    8.085170] snd_hda_intel 0000:00:1f.3: No response from codec, disabling MSI: last cmd=0x000f0000
[    9.088809] snd_hda_intel 0000:00:1f.3: Codec #0 probe error; disabling it...
Comment 3 luigi votta 2016-01-18 13:30:34 EST
Additional info:
http://www.alsa-project.org/db/?f=b892f40156896e46773c8670af990997c65b2de2
Comment 4 luigi votta 2016-01-20 13:25:20 EST
On this link:
http://askubuntu.com/questions/700167/no-sound-on-ubuntu-15-10

I've found a solution.

Greetings 
Luigi Votta

Note You need to log in before you can comment on or make changes to this bug.